> ## Documentation Index
> Fetch the complete documentation index at: https://api-portal.etoro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves metadata for specified instruments, including display names, exchange IDs, and classification.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/market-data/instruments
openapi: 3.0.1
info:
  title: eToro Api
  version: v1.206.0
  description: >-
    eToro’s public API provides access to real-time financial data, trading
    insights, and account management features, allowing developers to integrate
    eToro’s services into their applications. With access to market prices,
    historical data, and social trading information, the API empowers users to
    enhance their trading strategies. Designed for security and scalability, the
    eToro API ensures smooth and reliable integration for a variety of financial
    applications.


    For more details on integrating with eToro's public WebSocket service,
    please refer to the dedicated [WebSocket
    documentation](./websocket/websocket-doc.html).
servers:
  - url: https://public-api.etoro.com
    description: eToro Public API
security: []
tags:
  - name: Agent Portfolios
  - name: Watchlists
  - name: Feeds
  - name: Asset Explorer
  - name: Market Data
  - name: Identity
  - name: Notifications
  - name: PI Data
  - name: Comments
  - name: Trading Demo
  - name: Trading Real
  - name: Users Info
  - name: Deprecated
paths:
  /api/v1/market-data/instruments:
    get:
      tags:
        - Market Data
      summary: >-
        Retrieves metadata for specified instruments, including display names,
        exchange IDs, and classification.
      operationId: GetInstrumentsByFilters
      parameters:
        - name: x-request-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            example: 31f4bf9d-03dc-4699-bdc3-ddca98f223ea
          description: A unique request identifier.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663
          description: API key for authentication.
        - name: x-user-key
          in: header
          required: true
          schema:
            type: string
            format: password
            example: >-
              eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_
          description: User-specific authentication key.
        - name: instrumentIds
          in: query
          description: A comma seperated list of instrument ids to filter on
          style: form
          explode: false
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: exchangeIds
          in: query
          description: A comma seperated list of exchange ids to filter on
          style: form
          explode: false
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: stocksIndustryIds
          in: query
          description: A comma seperated list of stock industry ids to filter on
          style: form
          explode: false
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: instrumentTypeIds
          in: query
          description: A comma seperated list of instrument type ids to filter on
          style: form
          explode: false
          schema:
            type: array
            items:
              type: integer
              format: int32
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstrumentsResponse'
components:
  schemas:
    InstrumentsResponse:
      type: object
      properties:
        instrumentDisplayDatas:
          type: array
          items:
            type: object
            properties:
              instrumentID:
                type: integer
              instrumentDisplayName:
                type: string
              instrumentTypeID:
                type: integer
              exchangeID:
                type: integer
              symbolFull:
                type: string
              stocksIndustryId:
                type: integer
              priceSource:
                type: string
                description: >-
                  The data provider or market source for the price, such as
                  Nasdaq, LSE, or CME.
              hasExpirationDate:
                type: boolean
              isInternalInstrument:
                type: boolean
                description: >-
                  If set to true, the instrument is restricted from public
                  access.
              images:
                type: array
                items:
                  type: object
                  properties:
                    instrumentID:
                      type: integer
                    width:
                      type: number
                    height:
                      type: number
                    uri:
                      type: string
                    backgroundColor:
                      type: string
                    textColor:
                      type: string

````